cc.Class({
    extends: cc.Component,

    properties: {
        testNode: cc.Node,
        spineNode: cc.Node,
    },

    onLoad() {
        this.mIdx = 0;
    },
    //释放spine
    releaseClick() {
        let deps = cc.loader.getDependsRecursively("201100", sp.SkeletonData);
        cc.loader.releaseRes("201100", sp.SkeletonData);
        cc.loader.release(deps);
        cc.sys.garbageCollect();
    },

    createClick() {
        this.removeNode();
        //构建普通节点的spine
        this.createSpine("201100", this.testNode);
    },

    createSpine(url, parent) {
        let node = cc.instantiate(this.spineNode);
        node.active = true;
        node.parent = parent;
        cc.loader.loadRes(url, sp.SkeletonData, function(err, skeletonData) {
            let skeleton = node.getComponent(sp.Skeleton);
            skeleton.skeletonData = skeletonData;
            skeleton.animation = ("moved")
            this.mIdx = 0;
        }.bind(this));
    },

    //移除节点
    removeNode() {
        let node = this.testNode.children[0];
        if (node) {
            node.destroy();
        }
    },

    //
    onAction() {
        let aniNames = ["moved", "mover", "moverd", "movet", "movert", "standd", "standr", "standrd", "standt", "standrt"];
        let node = this.testNode.children[0];
        if (node) {
            let skeleton = node.getComponent(sp.Skeleton);
            this.mIdx++;
            if (this.mIdx > aniNames.length) {
                this.mIdx = 0;
            }
            skeleton.animation = (aniNames[this.mIdx]);
        }
    },
    //如果需要接收指定服务端数据的通知 则使用这个方法
    //onRecvCmdAction(key ,data){},
    // start() {this._super();},

    // update (dt) {this._super();},
});